CONFIG_WRAPPER(1)

NAME
config_wrapper - configure FPGA via ISE impact or Linux jtag

SYNOPSIS
config_wrapper [--board=b] [--path=p] COMMAND FILE
config_wrapper --help

DESCRIPTION
Wrapper script to handle the configuration of an FPGA board with either a XILINX JTAG programming cable and the ISE impact program or with an onboard Cypress FX2 USB controller and the jtag(1) program. The COMMAND argument controls the action:
    iconfig
        configure using impact with .bit file FILE
    jconfig
        configure using jtag(1) with .svf file FILE
    bit2svf
        create a .svf file from the .bit file FILE

OPTIONS

--board=b
    determines the type of board to be configured. The default is 's3board', currently supported boards are:
        s3board
            Digilent S3BOARD. Default path: xc3s1000
        nexys2
            Digilent Nexys2. Default path: xc3s1200e
        nexys3
            Digilent Nexys3. Default path: xc6slx16
        atlys
            Digilent Atlys. Default path: xc6slx45
        sp605
            Xilinx SP605. Default path: xc6slx45t

--path=p
    determines the type of FPGA to be configured. It is usually properly defaulted based on the --board option. Only in cases where a board is available with several die sizes this option will be needed.

--help
    print help text and exit.

COMMANDS

bit2svf
    Convert an FPGA configuration file from .bit format (the native XILINX format) to .svf format (the portable Serial Vector Format). The XILINX ISE impact program is used, the input FILE must be in .bit format.

iconfig
    Configure an FPGA with XILINX ISE impact. The input FILE must be in .bit format.

jconfig
    Configure an FPGA with jtag(1). The input FILE must be in .svf format. This subcommand is usually used for boards with a Cypress FX2 USB controller, like the Digilent Nexys2, Nexys3, or Atlys, and an FX2 firmware that emulates an Altera USB-Blaster programming cable. The USB device path is defined by the environment variables RETRO_FX2_VID and RETRO_FX2_PID, or defaults to vid=16c0 and pid=03ef. Use the fx2load_wrapper(1) command to ensure that the proper firmware is loaded in the Cypress FX2 USB controller. The bit2svf subcommand can be used to create a .svf from a .bit file.

EXIT STATUS
In case of an error, an exit status 1 is returned.

ENVIRONMENT

RETRO_FX2_VID, RETRO_FX2_PID
    Used by the jconfig subcommand to define the USB path of the Cypress FX2 USB controller emulating an Altera USB-Blaster cable.

XILINX
    Path to current XILINX ISE installation. Required by all subcommands, mainly to locate the .bsdl files which describe the JTAG commands of all devices in the JTAG chain.
    The best is to use config_wrapper with the xtwi(1) wrapper, this will automatically define this environment variable.

EXAMPLES

config_wrapper bit2svf test.bit
    Creates test.svf from test.bit.

config_wrapper --board=nexys2 iconfig test.bit
    Configures a Nexys2 board with test.bit using ISE impact.

config_wrapper --board=nexys3 jconfig test.svf
    Configures a Nexys3 board with test.svf using jtag(1).

SEE ALSO
jtag(1), fx2load_wrapper(1), xtwi(1)

AUTHOR
Walter F.J. Mueller <W.F.J.Mueller@gsi.de>